Bug 192753 - Move patch-lafiles target in front of post-stage
Move patch-lafiles target in front of post-stage
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework
Latest
Any Any
: --- Affects Only Me
Assigned To: Tijl Coosemans
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-17 17:03 UTC by Tijl Coosemans
Modified: 2014-08-21 13:15 UTC (History)
0 users

See Also:


Attachments
patch (674 bytes, patch)
2014-08-17 17:03 UTC, Tijl Coosemans
no flags Details | Diff
patch2 (1.16 KB, patch)
2014-08-18 11:50 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2014-08-17 17:03:28 UTC
Created attachment 145933 [details]
patch

Some ports create their pkg-plist from post-install.  USES=libtool removes .la files after that so pkg-plist contains .la files that don't exist when the package is created.  The attached patch moves the patch-lafiles target in front of post-stage such that these ports can create their pkg-plist in post-stage.  An example port is lang/gcc-aux and other lang/gcc* ports.
Comment 1 Tijl Coosemans freebsd_committer 2014-08-18 11:50:13 UTC
Created attachment 145953 [details]
patch2

This patch changes both _STAGE_SUSEQ and _STAGE_SEQ.
Comment 2 Antoine Brodin freebsd_committer 2014-08-21 10:35:04 UTC
Patch approved,  I will notify you if there are some fallout
Comment 3 commit-hook freebsd_committer 2014-08-21 13:10:00 UTC
A commit references this bug:

Author: tijl
Date: Thu Aug 21 13:09:15 UTC 2014
New revision: 365554
URL: http://svnweb.freebsd.org/changeset/ports/365554

Log:
  Some ports create their pkg-plist from post-install.  USES=libtool removes
  .la files after that so pkg-plist ends up containing .la files that don't
  exist when the package is created.

  Move the patch-lafiles target in front of post-stage such that these ports
  can create their pkg-plist in post-stage.

  PR:		192753
  Approved by:	portmgr (antoine)

Changes:
  head/Mk/bsd.port.mk